# (Sanbox only) Simulate outcome for BankPlusIdent

This endpoint allows you to easily test different scenarios while integrating BankPlusIdent, such as pre_successful, failed, aborted, or canceled statuses. It requires the identification to be in a pending/aborted/canceled status to simulate the desired scenario.

Endpoint: PATCH /v1/persons/{person_id}/identifications/{id}/simulate_outcome
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    The unique ID of the person resource created for a customer.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

  - `id` (string, required)
    The unique ID of the identification resource created for a customer.
    Example: "6dc54352d6793a892e0702850d07b831cidt"

## Request fields (application/json):

  - `scenario` (string, required)
    The scenario to simulate the outcome.
    Enum: "SUCCESSFUL_PRE_IDENT", "FAILED_PRE_IDENT", "ABORTED_PRE_IDENT", "CANCELED_PRE_IDENT", "SUCCESSFUL_ACCOUNT_OPENING", "FAILED_ACCOUNT_OPENING", "SUCCESSFUL_REFERENCE_TRANSFER", "FAILED_REFERENCE_TRANSFER_NAME_CHECK"

## Response 400 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "400"

  - `code` (string)
    Example: "build_pagination_headers_failure"

  - `title` (string)
    Example: "Failed to build pagination headers."

  - `detail` (string)
    Example: "Cannot connect to database."

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 409 fields (application/json):

  - `title` (string)
    Example: "Record Not Unique"

  - `status` (string)
    Example: "409"

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `detail` (string)
    Example: "Record Not Unique."

  - `code` (string)
    Example: "record_not_unique"

## Response 422 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "422"

  - `code` (string)
    Example: "invalid_secret"

  - `title` (string)
    Example: "Invalid Secret"

  - `details` (string)
    Example: "Invalid Secret submitted"

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


## Response 204 fields

## Response default fields
